<?php
/* ******************************************************************
 * Torgsoft synchronization - get_ready.php                2024-08-18
 * Copyright © FinBoss 2024
 * finboss.ua@gmail.com
 * 
 * 
 * 
 * License: Commercial open source software (COSS) 
 ********************************************************************
 */


error_reporting (E_ALL & ~E_STRICT & ~E_DEPRECATED);

header('Content-Type: text/html; charset=utf-8');

date_default_timezone_set('Europe/Kiev');

if (isset($_POST['start']) AND $_POST['start'] == 'now'){
	
	
	$timestamp = time();
	$log_name = date("Y-m-d-H-i-s", $timestamp)."-get_ready.html";
	$log_handle = fopen("log/".$log_name,"w");
	if ($log_handle == false){
		die ("Помилка: неможливо створити файл звіту у папці log");
	}
	write_to_log('<html><head><meta http-equiv="content-type" content="text/html; charset=utf-8" /><meta charset="UTF-8" /></head><body>');
	write_to_log("З Торгсофту отримано сигнал get_ready ".date("Y-m-d H.i.s"));
	
	if (is_file('tmp/last_start.txt')){
		unlink('tmp/last_start.txt');
		write_to_log("Файл tmp/last_start.txt видалено ".date("Y-m-d H.i.s"));
	}else{
		write_to_log("Попередження: файл tmp/last_start.txt не знайдено ".date("Y-m-d H.i.s"));
	}
	
	write_to_log("Завантажувач готовий до старту ".date("Y-m-d H.i.s"));
	
}else{
?>
Очікується змінна start=now<br/>Отримано:
<pre>
<?php 
print_r($_POST);
?>
</pre>
<?php 	
}

// запись сообщения
function write_to_log($message){
	fwrite($GLOBALS["log_handle"],$message."<br>\r\n");
	echo("<br />".$message);
}